libeconf_ext.h File Reference

Public extended API for the econf library. More...

`#include <stdbool.h>`
`#include <stdint.h>`
`#include <stdlib.h>`
`#include "libeconf.h"`

Go to the source code of this file.

## Classes

struct | econf_ext_value

## Typedefs

typedef struct econf_ext_value | econf_ext_value

## Functions

econf_err | econf_getExtValue (econf_file *kf, const char *group, const char *key, econf_ext_value **result)
| Evaluating more information for given group/key.
void | econf_freeExtValue (econf_ext_value *to_free)
| Free an complete econf_ext_value struct.

## Detailed Description

Public extended API for the econf library.

Definition in file libeconf_ext.h.

## Typedef Documentation

## econf_ext_value

typedef struct econf_ext_value econf_ext_value

Definition at line 50 of file libeconf_ext.h.

## Function Documentation

## econf_getExtValue()

econf_err econf_getExtValue | ( | econf_file * | kf,
|  | const char * | group,
|  | const char * | key,
|  | econf_ext_value ** | result )

extern

Evaluating more information for given group/key.

Parameters

  kf | given/parsed data
  group | Desired group or NULL if there is no group defined.
  key | Key for which the value is requested.
  result | A newly allocated struct or NULL in error case.

Returns
  econf_err ECONF_SUCCESS or error code

## econf_freeExtValue()

void econf_freeExtValue | ( | econf_ext_value * | to_free | ) |

extern

Free an complete econf_ext_value struct.

Parameters

  to_free | struct which has to be freed

Returns
  void